Subject: Re: bug#62376: 30.0.50; global-display-fill-column-indicator-modes broken?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Mar 2023 17:52:25 +0200

> Date: Wed, 22 Mar 2023 13:03:13 +0100
> From:  Rudolf Adamkovič via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> So, today I customized the
> 
> > global-display-fill-column-indicator-modes
> 
> variable, and it does not work.
> 
> I set the variable as per
> 
> > Its value is ((not special-mode java-mode swift-mode kotlin-mode) t)
> > 
> > Original value was
> > ((not special-mode)
> >  t)
> 
> but the fill column indicator shows up in the not-modes listed.

How did you customize it?

> I have also noticed that the help window says
> 
> > global-display-fill-column-indicator-modes is a variable defined in
> > ‘display-fill-column-indicator.el’.
> 
> but the variable is not defined in that source file.

Actually, it is: it is defined as a side effect of
define-globalized-minor-mode call.

(But in my case Emacs says the variable is defined in loaddefs.el,
which is not good.)

> Upon a quick `git grep', it seems that
> 
> - NO TESTS for this functionality EXIST, and

The tests seem to be in test/lisp/emacs-lisp/easy-mmode-tests.el, see
the test easy-mmode--globalized-predicate.  And they pass.

Adding Lars, who wrote that code, and Stefan, in case they have
comments or suggestions.